<mat-card>
  <mat-card-content>
    <div class="row">
      <div class="col-xs-12 col-sm-6 col-md-4">
        <form class="profile-edit" #form="ngForm" (ngSubmit)="form.valid &&  editProfile()">
          <img [src]="userInfo.photoUrl ? userInfo.photoUrl:'../../assets/images/profile.jpg'" class="m-b-30" name="photo" /><br />
          <button type="button" mat-raised-button color="primary" (click)="fileInput.click()"> Upload </button>
          <input class="hidden" type="file" accept="image/x-png,image/jpg,image/jpeg" #fileInput (change)="onFileSelect($event)" />
          <mat-error *ngIf='InvalidFile'> Invalid file format </mat-error>
          
          <mat-form-field class="example-full-width m-t-20">
            <input type="text" matInput placeholder="First Name" class="f-bold" [(ngModel)]="userInfo.firstName" #firstName="ngModel" name="firstName" required pattern="[a-zA-Z ]*" />
            <mat-icon matSuffix>mode_edit</mat-icon>
            <mat-error *ngIf="firstName.invalid && firstName.errors['pattern']"> Numbers and Special characters not allowed</mat-error>
            <mat-error *ngIf="firstName.invalid&& firstName.errors['required']"> Please enter first name.</mat-error>
          </mat-form-field>
          
          <mat-form-field class="example-full-width m-t-20">
            <input type="text" matInput placeholder="Last Name" class="f-bold" [(ngModel)]="userInfo.lastName" #lastName="ngModel" required name="lastName" pattern="[a-zA-Z ]*" />
            <mat-icon matSuffix>mode_edit</mat-icon>
            <mat-error *ngIf="lastName.invalid && lastName.errors['pattern']">Numbers and Special characters not allowed</mat-error>
            <mat-error *ngIf="lastName.invalid && lastName.errors['required']">Please enter last name.</mat-error>
          </mat-form-field>

          <mat-radio-group class="m-t-20 display-block" [(ngModel)]="userInfo.role" required name="completed">
            <h4>Status</h4>
            <mat-radio-button class="custom-radio-button m-r-10" [value]="'User'">User</mat-radio-button>
            <mat-radio-button class="custom-radio-button m-r-10" [value]="'Advisor'">Advisor</mat-radio-button>
          </mat-radio-group>
          <br />

          <button mat-raised-button class="orange-btn m-r-10">Save</button>
          <button mat-raised-button type="button" (click)="cancelClick()">Cancel</button>
        </form>
      </div>
    </div>
  </mat-card-content>
</mat-card>